                                                                   ftpshut(8)



   Name
     ftpshut - close down the ftp servers at a given time

   Syntax
     ftpshut [ -l min] [ -d min] time [ warning-message ... ]

   Description
     The ftpshut command provides an automated shutdown procedure that a
     superuser can use to notify ftp users when the ftp server is shutting
     down.

     The time is the time at which ftpshut will bring the ftp servers down.
     It may be the word `now', indicating an immediate shutdown, or specify a
     future time in one of two formats: + number or HHMM. The first form
     brings the ftp servers down in number minutes.  The second brings the
     ftp servers down at the time of day indicated, using a 24-hour clock
     format.

     Ten minutes before shutdown, or immediately if ftpshut is timed for less
     than ten minutes, new ftp access will be disabled.  This time may be
     adjusted through the -l flag.

     Five minutes before shutdown, or immediately if ftpshut is timed for
     less than five minutes, all current ftp connections will be discon-
     nected.  This time may be adjusted through the -d flag.

     The [ warning-message ... ] will be formatted to be 75 characters wide.
     ftpshut knows about the actual string length of the magic cookies.

     The following magic cookies are available:
           %s      time system is going to shut down
           %r      time new connections will be denied
           %d      time current connections will be dropped
           %C      current working directory
           %E      the maintainer's email address as defined in ftpaccess.
           %F      free space in partition of CWD (kbytes)
                   [not currently supported on all systems]
           %L      local host name
           %M      maximum allowed number of users in this class
           %N      current number of users in this class
           %R      remote host name
           %T      local time (form Thu Nov 15 17:12:42 1990)
           %U      username given at login time

   Restrictions
     You can kill the servers only between now and 23:59, if you use the
     absolute time for ftpshut.

   See Also
     shutdown(1), ftpaccess(5)
